Subject: [bug#71319] [PATCH v3 2/3] gnu: emacs-ddskk: Improve package style.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 20 Jun 2024 18:04:32 +0200

Am Donnerstag, dem 20.06.2024 um 08:32 +0900 schrieb gemmaro:
> * gnu/packages/emacs-xyz.scm (emacs-ddskk)[arguments]: Use newer
> package
> style.  Make use of gexps and #$output and removed trailing #t. 
> Also, SKK-MK
> and doc files are not made writable, and the rm in nicola/Makefile is
> fixed.
This ChangeLog really could use some love.  "Use newer package style"
should probably go to the commit message (instead of "Improve package
style").

Also, don't sneak in actual code changes with formatting ones.  These
might need to go with the previous commit instead.

I'd suggest something like 

  … [arguments]: Convert to list of G-Expressions.
  Use #$output rather than the outputs alist.
  Removed trailing #t.

Cheers